PreAuth-PaymentToken

API Explorer
https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a payment transaction request using transaction type 5, a specific payment token ID, and AVS parameters.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "123456789123",      "transactionReferenceId": "TXN000"    },    "preferences": {      "eReceipt": true,      "customerName": "John Doe",      "customerEmail": "test@example.com",      "customerMobile": "+14242424243",      "requestCardToken": true    },    "transactionRequest": {      "amount": "2500",      "transactionType": 5,      "paymentTokenId": "pay_tok_v3_998877",      "applySteamSettingTipFeeTax": false    },    "avs": {      "StreetNo": "123 Main St",      "Zip": "90210"    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "5",
    "transactionId": "TXID-88990011",
    "amount": "2500",
    "responseApprovalCode": "APP12345",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "2500"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}